# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_ByteArray_1 Class Reference

`#include <PDataStd_ByteArray_1.hxx>`

Inheritance diagram for PDataStd_ByteArray_1:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_ByteArray_1 ()
Standard_EXPORT void | Set (const Handle(PColStd_HArray1OfInteger)&values)
Standard_EXPORT const Handle_PColStd_HArray1OfInteger & | Get () const
Standard_EXPORT void | SetDelta (const Standard_Boolean delta)
Standard_EXPORT Standard_Boolean | GetDelta () const
| PDataStd_ByteArray_1 (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfInteger) _CSFDB_GetPDataStd_ByteArray_1myValues() const
void | _CSFDB_SetPDataStd_ByteArray_1myValues (const Handle(PColStd_HArray1OfInteger)&p)
Standard_Boolean | _CSFDB_GetPDataStd_ByteArray_1myDelta () const
void | _CSFDB_SetPDataStd_ByteArray_1myDelta (const Standard_Boolean p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_HArray1OfInteger | myValues
Standard_Boolean | myDelta

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_ByteArray_1::PDataStd_ByteArray_1 | ( |  | ) |

PDataStd_ByteArray_1::PDataStd_ByteArray_1 | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Boolean PDataStd_ByteArray_1::_CSFDB_GetPDataStd_ByteArray_1myDelta | ( |  | ) | const`[inline]`

void PDataStd_ByteArray_1::_CSFDB_SetPDataStd_ByteArray_1myDelta | ( | const Standard_Boolean | p | ) | `[inline]`

void PDataStd_ByteArray_1::_CSFDB_SetPDataStd_ByteArray_1myValues | ( | const Handle(PColStd_HArray1OfInteger)& | p | ) | `[inline]`

Standard_EXPORT const Handle_PColStd_HArray1OfInteger& PDataStd_ByteArray_1::Get | ( |  | ) | const

Standard_EXPORT Standard_Boolean PDataStd_ByteArray_1::GetDelta | ( |  | ) | const

Standard_EXPORT const PDataStd_ByteArray_1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_ByteArray_1::Handle | ( | PColStd_HArray1OfInteger |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_ByteArray_1::Set | ( | const Handle(PColStd_HArray1OfInteger)& | values | ) |

Standard_EXPORT void PDataStd_ByteArray_1::SetDelta | ( | const Standard_Boolean | delta | ) |

## Field Documentation

Standard_Boolean PDataStd_ByteArray_1::myDelta `[private]`

Handle_PColStd_HArray1OfInteger PDataStd_ByteArray_1::myValues `[private]`

The documentation for this class was generated from the following file:

- PDataStd_ByteArray_1.hxx